diff --git a/src/flac/decode.c b/src/flac/decode.c
index f3b1daf..3c7938a 100644
--- a/src/flac/decode.c
+++ b/src/flac/decode.c
@@ -294,8 +294,7 @@ FLAC__bool DecoderSession_init_decoder(DecoderSession *decoder_session, const ch
 	FLAC__stream_decoder_set_md5_checking(decoder_session->decoder, true);
 	if (0 != decoder_session->cue_specification)
 		FLAC__stream_decoder_set_metadata_respond(decoder_session->decoder, FLAC__METADATA_TYPE_CUESHEET);
-	if (decoder_session->replaygain.spec.apply)
-		FLAC__stream_decoder_set_metadata_respond(decoder_session->decoder, FLAC__METADATA_TYPE_VORBIS_COMMENT);
+	FLAC__stream_decoder_set_metadata_respond(decoder_session->decoder, FLAC__METADATA_TYPE_VORBIS_COMMENT);
 
 #if FLAC__HAS_OGG
 	if(decoder_session->is_ogg) {
